TrainingUnitQuestionnaireDTO (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.shared

## Class TrainingUnitQuestionnaireDTO

- java.lang.Object
- - org.gcube.portal.trainingmodule.shared.TrainingUnitQuestionnaireDTO

- All Implemented Interfaces:
    Serializable

      public class TrainingUnitQuestionnaireDTO
      extends Object
      implements Serializable

  The Class TrainingUnitQuestionnaireDTO.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 25, 2018
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingUnitQuestionnaireDTO()` Instantiates a new training unit questionnaire.
    `TrainingUnitQuestionnaireDTO(long internalId, String title, String description, String questionnaireId, String questionnaireURL)` Instantiates a new training unit questionnaire DTO.
    `TrainingUnitQuestionnaireDTO(String title, String description, String questionnaireId, String questionnaireURL)` Instantiates a new training unit questionnaire DTO.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the description.
    `long` | `getInternalId()` Gets the internal id.
    `String` | `getQuestionnaireId()` Gets the questionnaire id.
    `String` | `getQuestionnaireURL()` Gets the questionnaire URL.
    `String` | `getTitle()` Gets the title.
    `void` | `setDescription(String description)` Sets the description.
    `void` | `setInternalId(long internalId)`
    `void` | `setQuestionnaireId(String questionnaireId)` Sets the questionnaire id.
    `void` | `setQuestionnaireURL(String questionnaireURL)` Sets the questionnaire URL.
    `void` | `setTitle(String title)` Sets the title.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingUnitQuestionnaireDTO

          public TrainingUnitQuestionnaireDTO()

      Instantiates a new training unit questionnaire.

    - #### TrainingUnitQuestionnaireDTO

          public TrainingUnitQuestionnaireDTO(String title,
                                              String description,
                                              String questionnaireId,
                                              String questionnaireURL)

      Instantiates a new training unit questionnaire DTO.
      Parameters:
        `title` - the title
        `description` - the description
        `questionnaireId` - the questionnaire id
        `questionnaireURL` - the questionnaire URL

    - #### TrainingUnitQuestionnaireDTO

          public TrainingUnitQuestionnaireDTO(long internalId,
                                              String title,
                                              String description,
                                              String questionnaireId,
                                              String questionnaireURL)

      Instantiates a new training unit questionnaire DTO.
      Parameters:
        `internalId` - the internal id
        `title` - the title
        `description` - the description
        `questionnaireId` - the questionnaire id
        `questionnaireURL` - the questionnaire URL

  - ### Method Detail

    - #### setInternalId

          public void setInternalId(long internalId)

    - #### getTitle

          public String getTitle()

      Gets the title.
      Returns:
        the title

    - #### setTitle

          public void setTitle(String title)

      Sets the title.
      Parameters:
        `title` - the new title

    - #### getDescription

          public String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Sets the description.
      Parameters:
        `description` - the new description

    - #### getQuestionnaireId

          public String getQuestionnaireId()

      Gets the questionnaire id.
      Returns:
        the questionnaire id

    - #### setQuestionnaireId

          public void setQuestionnaireId(String questionnaireId)

      Sets the questionnaire id.
      Parameters:
        `questionnaireId` - the new questionnaire id

    - #### getQuestionnaireURL

          public String getQuestionnaireURL()

      Gets the questionnaire URL.
      Returns:
        the questionnaire URL

    - #### setQuestionnaireURL

          public void setQuestionnaireURL(String questionnaireURL)

      Sets the questionnaire URL.
      Parameters:
        `questionnaireURL` - the new questionnaire URL

    - #### getInternalId

          public long getInternalId()

      Gets the internal id.
      Returns:
        the internal id

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All Rights Reserved.